#!/bin/bash
rm -f chap8
rm -f chap8_valid
echo ==============================
echo DualXP and KoopmanP checksums
echo ----- RANDOM ---------
gcc Chapter8_examples.c support.c -o chap8  Chapter8_test.c  -DSEED    -DRANDOM     -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap8
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo ----- VALIDATION SEED=00 -----
gcc Chapter8_examples.c support.c Chapter8_test.c -o chap8_valid -DVALIDATE -DSEED=0x00 -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap8_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION SEED=0x9D -----
gcc Chapter8_examples.c support.c Chapter8_test.c -o chap8_valid -DVALIDATE -DSEED=0x9D -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap8_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION SEED=0xFF -----
gcc Chapter8_examples.c support.c Chapter8_test.c -o chap8_valid -DVALIDATE -DSEED=0xFF -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap8_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo Build just examples
gcc Chapter8_examples.c  -c -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
echo ==============================