#!/bin/bash
rm -f chap9
rm -f chap9_valid
rm -f chap9_table
echo ==============================
echo CRC
echo ----- RANDOM ---------
gcc Chapter9_examples.c Chapter9_test.c support.c -o chap9 -DRANDOM  -Wall -Wextra  -Wredundant-decls -pedantic -Werror
./chap9
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo -------Validation -----
gcc Chapter9_examples.c Chapter9_test.c support.c -o chap9_valid -DVALIDATE -Wall -Wextra  -Wredundant-decls -pedantic -Werror
./chap9_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- TABLE -----------
gcc Chapter9_examples.c Chapter9_test.c support.c -o chap9_table -DTABLE      -Wall -Wextra  -Wredundant-decls -pedantic -Werror
./chap9_table > table.out
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo Build just examples
gcc Chapter9_examples.c  -c -Wall -Wextra  -Wredundant-decls -pedantic -Werror
echo ==============================