rm -f hdlen
rm -f hdlenslow
g++ -O2        fast_hdlen.cpp -o hdlen -std=c++11 -Werror \
   -DINSTRUMENT \
   -g -Wall -Weffc++ -pedantic  \
   -pedantic-errors -Wextra -Waggregate-return -Wcast-align \
   -Wcast-qual  -Wchar-subscripts  -Wcomment -Wconversion \
   -Wdisabled-optimization \
   -Werror -Wfloat-equal  -Wformat  -Wformat=2 \
   -Wformat-nonliteral -Wformat-security  \
   -Wformat-y2k -Wimport  -Winit-self  -Winline -Winvalid-pch \
   -Wunsafe-loop-optimizations  -Wlong-long -Wmissing-braces \
   -Wmissing-field-initializers -Wmissing-format-attribute   \
   -Wmissing-include-dirs -Wmissing-noreturn \
   -Wpacked  -Wpadded -Wparentheses  -Wpointer-arith \
   -Wredundant-decls -Wreturn-type \
   -Wsequence-point  -Wshadow -Wsign-compare  -Wstack-protector \
   -Wstrict-aliasing -Wstrict-aliasing=2 -Wswitch  -Wswitch-default \
   -Wswitch-enum -Wtrigraphs  -Wuninitialized \
   -Wunknown-pragmas  -Wunreachable-code -Wunused \
   -Wunused-function  -Wunused-label  -Wunused-parameter \
   -Wunused-value  -Wunused-variable  -Wvariadic-macros \
   -Wvolatile-register-var  -Wwrite-strings   
if [ $? -ne 0 ] ; then exit ; fi

rm -f testresults/8bits.fast
rm -f testresults/8bits.slow
rm -f testresults/16bits.fast
rm -f testresults/16bits.slow
echo ============================================================
echo QUICK TEST Computing Optimized Version Results
./hdlen <testdata/8bits.txt >testresults/8bits.fast
./hdlen <testdata/16bits.txt >testresults/16bits.fast
./hdlen 0x9b            >testresults/qother.fast
./hdlen 0x9b 3 5       >>testresults/qother.fast
./hdlen 0x9b 4 8       >>testresults/qother.fast
./hdlen 0x82608edb 4 4 >>testresults/qother.fast
./hdlen 0x82608edb 5 5 >>testresults/qother.fast
./hdlen 0x82608edb 6 6 >>testresults/qother.fast
./hdlen 0x82608edb 7 7 >>testresults/qother.fast
./hdlen 0x82608edb 5 7 >>testresults/qother.fast
echo ============================================================
echo QUICK TEST Here is list of optimized code errors
diff testresults/8bits.fast testdata/8bits.gold
diff testresults/16bits.fast testdata/16bits.gold
diff testresults/qother.fast testdata/qother.gold
echo ============================================================
echo QUICK TESTING COMPLETED!   You should run the full build.sh
echo ============================================================

g++ -O2        fast_hdlen.cpp -o hdlen -std=c++11 -Werror \
   -g -Wall -Weffc++ -pedantic  \
   -pedantic-errors -Wextra -Waggregate-return -Wcast-align \
   -Wcast-qual  -Wchar-subscripts  -Wcomment -Wconversion \
   -Wdisabled-optimization \
   -Werror -Wfloat-equal  -Wformat  -Wformat=2 \
   -Wformat-nonliteral -Wformat-security  \
   -Wformat-y2k -Wimport  -Winit-self  -Winline -Winvalid-pch \
   -Wunsafe-loop-optimizations  -Wlong-long -Wmissing-braces \
   -Wmissing-field-initializers -Wmissing-format-attribute   \
   -Wmissing-include-dirs -Wmissing-noreturn \
   -Wpacked  -Wpadded -Wparentheses  -Wpointer-arith \
   -Wredundant-decls -Wreturn-type \
   -Wsequence-point  -Wshadow -Wsign-compare  -Wstack-protector \
   -Wstrict-aliasing -Wstrict-aliasing=2 -Wswitch  -Wswitch-default \
   -Wswitch-enum -Wtrigraphs  -Wuninitialized \
   -Wunknown-pragmas  -Wunreachable-code -Wunused \
   -Wunused-function  -Wunused-label  -Wunused-parameter \
   -Wunused-value  -Wunused-variable  -Wvariadic-macros \
   -Wvolatile-register-var  -Wwrite-strings   
   